[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Integer

A signed 16-bits integer

## Declaration

Source position: systemh.inc line 110

`type Integer = SmallInt;`

## Description

The system unit defines Integer as a signed 16-bit integer. But when DELPHI or OBJFPC mode are active, then the objpas unit redefines Integer as a 32-bit integer.

Remark: | Note that due to the way the language modes are implemented, if you refer to integer with the fully qualified name System.Integer, you will still get a 16-bit integer.